Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.saml
Class SubjectConfirmation

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SubjectConfirmation`

public class SubjectConfirmation
extends oracle.security.xmlsec.util.XMLElement

The SAML SubjectConfirmation element used in a Subject element specifies the subject by supplying data that allows the subject to be authenticated.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`SubjectConfirmation(org.w3c.dom.Document owner)` Creates a new `SubjectConfirmation` instance.
`SubjectConfirmation(org.w3c.dom.Element element)` Creates a new `SubjectConfirmation` instance from the given Element node.
`SubjectConfirmation(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `SubjectConfirmation` instance from the given Element node.

Method Summary
`void` | `addConfirmationMethod(java.lang.String uri)` Adds the confirmation method that identifies the protocol to be used to authenticate the subject.
`java.util.List` | `getConfirmationMethods()` Gets the list of protocols used for authenticating the subject, as specified in the ConfirmationMethods child elements in this structure.
`oracle.security.xmlsec.dsig.XSKeyInfo` | `getKeyInfo()` Gets the `XSKeyInfo` object specifying a key held by the subject.
`java.lang.String` | `getSubjectConfirmationData()` Returns the additional informatuion authentication information specified in the SubjectConfirmationData element or null if this element is not specified.
`void` | `setKeyInfo(oracle.security.xmlsec.dsig.XSKeyInfo keyInfo)` Sets the ds:KeyInfo element which specifies a cryptographic key held by the subject.
`void` | `setSubjectConfirmationData(java.lang.String value)` Sets the SubjectConfirmationData element which contains additional authentication information to be used by a specific authentication protocol.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectConfirmation

    public SubjectConfirmation(org.w3c.dom.Element element)
                        throws org.w3c.dom.DOMException

  Creates a new `SubjectConfirmation` instance from the given Element node.
Parameters:
  `element` - A SubjectConfirmation element.

### SubjectConfirmation

    public SubjectConfirmation(org.w3c.dom.Element element,
                               java.lang.String SystemId)
                        throws org.w3c.dom.DOMException

  Creates a new `SubjectConfirmation` instance from the given Element node.
Parameters:
  `element` - A SubjectConfirmation element.

### SubjectConfirmation

    public SubjectConfirmation(org.w3c.dom.Document owner)
                        throws org.w3c.dom.DOMException

  Creates a new `SubjectConfirmation` instance.
Parameters:
  `owner` - The owner document of the new SubjectConfirmation.

Method Detail

### addConfirmationMethod

    public void addConfirmationMethod(java.lang.String uri)

  Adds the confirmation method that identifies the protocol to be used to authenticate the subject.
  Parameters:
    `uri` - A `URI` reference. Typically, one of the authentication URIs defined in the `SAMLURI` interface.

### getConfirmationMethods

    public java.util.List getConfirmationMethods()

  Gets the list of protocols used for authenticating the subject, as specified in the ConfirmationMethods child elements in this structure.
  Returns:
    A `List` containing String object representing protocols or an empty `List` if none has been set.

### setSubjectConfirmationData

    public void setSubjectConfirmationData(java.lang.String value)

  Sets the SubjectConfirmationData element which contains additional authentication information to be used by a specific authentication protocol.
  Parameters:
    `value` - Information used by a specific authentication protocol.

### getSubjectConfirmationData

    public java.lang.String getSubjectConfirmationData()

  Returns the additional informatuion authentication information specified in the SubjectConfirmationData element or null if this element is not specified.

### setKeyInfo

    public void setKeyInfo(oracle.security.xmlsec.dsig.XSKeyInfo keyInfo)

  Sets the ds:KeyInfo element which specifies a cryptographic key held by the subject.
  Parameters:
    `keyInfo` - A XML DSIG `XSKeyInfo` object containing the information of a key.

### getKeyInfo

    public oracle.security.xmlsec.dsig.XSKeyInfo getKeyInfo()

  Gets the `XSKeyInfo` object specifying a key held by the subject.
  Returns:
    A XML DSIG `XKeyInfo` or `null` if none has been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools SAML Java API Reference 10g Release 3 (10.1.3) B25380-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.